<div *ngIf="movie" class="container">
  <div class="row my-3">
    <div class="col-12 col-sm-6 my-1">
      <span class="lead">{{ movie.title }} ({{ movie.year }})</span><br>
      {{ movie.duration | minutesToHours }}
    </div>
    <div class="col-12 col-sm-4 my-1 m-auto">
      <a class="btn btn-success d-block"
         href='https://www.google.com/search?q={{movie.title}}+({{movie.year}})'
         target="_blank">Search</a>
    </div>
  </div>
  <div class="row">
    <div *ngIf="movie.genres && movie.genres.length" class="col-10">
      <b>Genres</b>: {{ movie.genres | genre }}
    </div>
  </div>
  <div class="row">
    <div class="col-10">{{ movie.description }}</div>
  </div>
  <div class="row my-3">
    <div *ngIf="movie.watchPriority != null" class="col-12">
      <b>To watch</b>: {{ movie.watchPriority | watchPriority }}
    </div>
    <div *ngIf="movie.rating != null" class="col-12">
      <b>Rating</b>:
      <md-star *ngIf="movie.rating > 0" [maxRating]=10 [rating]='movie.rating'></md-star>
      <span *ngIf="movie.rating > 0" class="ml-1">({{ movie.rating }})</span>
      <span *ngIf="movie.rating == 0">Watched (no rating)</span>
    </div>
  </div>
  <div class="row">
    <div *ngIf="movie.review" class="col-12 my-1">
      <b>Review</b>: {{ movie.review }}
    </div>
    <div *ngIf="movie.plotSummary" class="col-12 my-1">
      <b>Plot Summary</b>: {{ movie.plotSummary }}
    </div>
    <div *ngIf="movie.reviewDate" class="col-12">
      <b>Reviewed</b>: {{ movie.reviewDate }}
    </div>
  </div>
  <div class="row mt-2">
    <button [routerLink]="['edit']"
            class="col-4 offset-1 btn btn-success">Update
    </button>
    <button (click)='deleteMovie(movie)'
            class="col-4 offset-1 btn btn-success">Delete
    </button>
  </div>
</div>
